Skip to navigation

Retrieve a rating result

View as Markdown
Retrieve the details of a specific Rating Result object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the rating result.
createdByIDstringOptional
The unique identifier of the user who created the rating result.
createdDatedatetimeOptional

The date and time when the rating result was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format.

updatedByIDstringOptional
The unique identifier of the user who last updated the rating result.
updatedDatedatetimeOptional

The date and time when the rating result was last updated, in the yyyy-mm-dd hh:mm:ss format.

accountIdstringOptional
The unique identifier of the customer account associated with the rating result.
subscriptionIdstringOptional
The unique identifier of the subscription associated with the rating result.
ratePlanChargeIdstringOptional
The unique identifier of the rate plan charge associated with the rating result.
quantitydoubleOptional
The quantity of the charge.
amountdoubleOptional
The amount of the charge.
serviceStartDatedateOptional
The start date of the service period for the rating result.
serviceEndDatedateOptional
The end date of the service period for the rating result.
statusstringOptional
The status of the rating result.
isPartialbooleanOptional
Indicates whether the rating result is partial.
chargeSegmentNumberintegerOptional
Rate plan charge number.
invoiceItemIdstringOptional
The unique identifier of the invoice item associated with the rating result.
actualPeriodStartDatedateOptional
The start date of the actual period for the rating result.
actualPeriodEndDatedateOptional
The end date of the actual period for the rating result.
billingCycleDayintegerOptional
The day of the month on which the billing cycle starts.
accountobjectOptional
ratePlanChargeobjectOptional
subscriptionobjectOptional
invoiceItemobjectOptional

Errors

4XX
Client Request Error
500
Internal Server Error